Get recent link building backlinks
curl --request GET \
--url https://api.beeze.io/v1/domain-research/overview/backlinks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/domain-research/overview/backlinks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/domain-research/overview/backlinks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beeze.io/v1/domain-research/overview/backlinks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.beeze.io/v1/domain-research/overview/backlinks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.beeze.io/v1/domain-research/overview/backlinks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beeze.io/v1/domain-research/overview/backlinks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"responsiblePerson": "<string>",
"finalPrice": 123,
"project": "<string>",
"dateReceived": "<string>",
"metrics": {
"domainTraffic": 123,
"domainRating": 123
},
"links": {
"domain": "<string>",
"article": "<string>"
}
}
]{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}Domain research
Get recent link building backlinks
Returns recent backlink entries for a selected project, or backlink counts grouped by project when project is omitted.
GET
/
domain-research
/
overview
/
backlinks
Get recent link building backlinks
curl --request GET \
--url https://api.beeze.io/v1/domain-research/overview/backlinks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/domain-research/overview/backlinks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/domain-research/overview/backlinks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beeze.io/v1/domain-research/overview/backlinks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.beeze.io/v1/domain-research/overview/backlinks"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.beeze.io/v1/domain-research/overview/backlinks")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beeze.io/v1/domain-research/overview/backlinks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body[
{
"responsiblePerson": "<string>",
"finalPrice": 123,
"project": "<string>",
"dateReceived": "<string>",
"metrics": {
"domainTraffic": 123,
"domainRating": 123
},
"links": {
"domain": "<string>",
"article": "<string>"
}
}
]{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}Authorizations
API key for external Beeze API access
Query Parameters
Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.
Minimum string length:
1Filter by responsible person
Filter by locale or market code
Start date in YYYY-MM-DD format
End date in YYYY-MM-DD format
Positive result limit
Required range:
x >= 1